﻿/* ------------------------------------------------------- CORES */
/* Tema Claro */
/* falta destaque #198754 destaque - verde sucesso*/
:root {
    --bg: #F8F9FA; /*fundo principal - branco suave*/
    --bg-card: #FFFFFF; /*fundo de cartões - branco*/
    --primary: #0D6EFD; /*primária - azul moderno*/
    --secondary: #6C757D; /*secundária - cinza azulado*/
    --text: #212529; /*texto principal - cinza escuro*/
    --text-muted: #495057; /*texto secundário - cinza médio*/
    --border: #DEE2E6; /*bordas - cinza claro*/
    --CNCNNT-BASE1: #4D6B74;
    --CNCNNT-BASE2: #32464C;
    --CNCNNT-BASE3: #2C2C2C; /*fundo do button group*/
    --CNCNNT-B1: #DDFFFF; /*azul claro*/
    --CNCNNT-B2: #00FFFF; /*azul claro vivo*/
    --CNCNNT-B3: #0000FF; /*azul escuro vivo*/
    --CNCNNT-B4: #000000; /*black*/
    --CNCNNT-B5: #FFC90E; /*yellow*/
    --CNCNNT-B6: thin solid #FFC90E !important;
    --CNCNNT-B10: #00FFCC; /*verde azul*/
    --CNCNNT-B11: #ff9090; /*#FF5500#ff5050laranja escuro*/
    --CNCNNT-B12: #00FF00; /*verde vivo*/
    --CNCNNT-B13: #FFFFFF; /*branco*/
}
[data-theme="light"] {
    --aa: #000000;
    --bg: #F8F9FA;
    --bg-card: #FFFFFF;
    --primary: #0D6EFD;
    --secondary: #6C757D;
    --text: #212529;
    --text-muted: #495057;
    --border: var(--CNCNNT-BASE1);
    /*click button*/
    --CNCNNT-Ab: var(--CNCNNT-B3);
    --CNCNNT-Abc: var(--bg);
    --CNCNNT-Ac: var(--CNCNNT-BASE1);
    --CNCNNT-AbH: var(--CNCNNT-B3);
    --CNCNNT-AbcH: var(--CNCNNT-B1);
    --CNCNNT-AcH: var(--CNCNNT-B4);
    --CNCNNT-TTb: var(--CNCNNT-B10);
    --CNCNNT-TTbc: var(--CNCNNT-B4);
    --CNCNNT-TTc: var(--CNCNNT-B10);
    --CNCNNT-Ib: var(--CNCNNT-B3);
    --CNCNNT-G10: #cccccc;
    --CNCNNT-G11: #eeeeee;
    --CNCNNT-G12: #dddddd;
    --CNCNNT-G20: #d0ebff;
}
/* Tema Escuro */
/* falta destaque #4CAF50 - verde suave*/
[data-theme="dark"] {
    --bg: #121212; /*fundo principal - cinza muito escuro*/
    --bg-card: #1E1E1E; /*fundo de cartões - cinza escuro*/
    --primary: #4D8DFF; /*primária - aul claro*/
    --secondary: #ADB5BD; /*secundária - cinza claro*/
    --text: #E9ECEF; /*texto principal - branco suave*/
    --text-muted: #CED4DA; /* texto secundário - cinza claro*/
    --border: var(--CNCNNT-BASE1);
    --CNCNNT-Ab: var(--CNCNNT-B2);
    --CNCNNT-Abc: var(--bg);
    --CNCNNT-Ac: var(--CNCNNT-B2); /*BASE1*/
    --CNCNNT-AbH: var(--CNCNNT-B2);
    --CNCNNT-AbcH: var(--CNCNNT-B1);
    --CNCNNT-AcH: var(--CNCNNT-B4);
    --CNCNNT-TTb: var(--CNCNNT-B10);
    --CNCNNT-TTbc: var(--CNCNNT-B13);
    --CNCNNT-TTc: var(--CNCNNT-B3);
    --CNCNNT-Ib: var(--CNCNNT-B1);
    --CNCNNT-G10: #555555;
    --CNCNNT-G11: #333333;
    --CNCNNT-G12: #444444;
    --CNCNNT-G20: rgb(22, 50, 143);
}


body {
    background-color: var(--bg);
    color: var(--text);
    max-width:100%;
}
.card {
    background-color: var(--bg-card);
    border-color: var(--border);
    color: var(--text);
}
.tooltip {
    --bs-tooltip-border-color: var(--CNCNNT-TTb); /*verde azul*/
    --bs-tooltip-bg: var(--CNCNNT-TTbc); /* background color */
    --bs-tooltip-color: var(--CNCNNT-TTc); /* text color */
    --bs-tooltip-border-radius: 8px;
    font-weight:bold;
}
/*input.form-control,
input[type="text"],
input[type="password"],
textarea {
    max-width: 100% !important;
    width: 100% !important;
    border: thick !important;
    border-color: var(--CNCNNT-Ib);
}
*/

.checkbox-grande input[type=checkbox] {
    transform: scale(3); /* aumenta o tamanho */
    margin-right: 8px;
    /*accent-color: #4CAF50;  opcional */
}


.btn-primary {
    background-color: var(--primary);
    border-color: var(--primary);
}
/* Navbar */
body[data-theme="dark"] .navbar {
    background-color: #1f1f1f !important;
}
body[data-theme="dark"] .btn-outline-secondary {
    color: #ffffff;
    border-color: #ffffff;
}
/*.card-equal {
    display: flex;
    flex-direction: column;
    height: 100%;
}

    .card-equal .card-body {
        flex-grow: 1;
    }
*/
.placeholder-custom::-webkit-input-placeholder {
    color: #CCCCCC; /* Chrome, Safari, Edge */
}
.placeholder-custom:-ms-input-placeholder {
    color: #CCCCCC; /* Internet Explorer */
}
.placeholder-custom::-ms-input-placeholder {
    color: #CCCCCC; /* Edge Legacy */
}
.placeholder-custom::placeholder {
    color: #CCCCCC; /* Padrão moderno */
}
.form-control {
    color: #0055aa; /* cor do texto digitado */
    background-color: #F5FFFF !important; /*#f0f8ff opcional */
    border-color: #0055aa; /* opcional */
}
    .form-control:focus {
        border-color: #0055aa;
        box-shadow: 0 0 0 0.2rem rgba(0, 85, 170, 0.25);
    }
    .form-control[readonly] {
        background-color: #e9ecef; /* cor típica do Bootstrap */
        color: #555555; /* cor do texto */
        border-color: #cccccc; /* borda mais suave */
        opacity: 1; /* garante que não fique esmaecido */
    }
.dropdown-custom {
    color: #0055aa; /* cor do texto digitado */
    background-color: #F5FFFF !important; /*#f0f8ff opcional */
    border-color: #0055aa; /* opcional */
    border-radius: 8px;
}
    .dropdown-custom:focus {
        border-color: #0055aa;
        box-shadow: 0 0 0 0.2rem rgba(0, 85, 170, 0.25);
    }
    .dropdown-custom[readonly] {
        background-color: #e9ecef; /* cor típica do Bootstrap */
        color: #555555; /* cor do texto */
        border-color: #cccccc; /* borda mais suave */
        opacity: 1; /* garante que não fique esmaecido */
    }
.CNCNNT-mandatory {
    color: var(--CNCNNT-B11) !important;
    vertical-align: super !important;
    font-size: 0.7em !important;
}
.checkbox-custom input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    width: 18px;
    height: 18px;
    border: 2px solid #ccc;
    border-radius: 3px;
    cursor: pointer;
    position: relative;
}

    .checkbox-custom input[type="checkbox"]:checked {
        border-color: var(--CNCNNT-B12);
        color: var(--CNCNNT-B12);
    }
        .checkbox-custom input[type="checkbox"]:checked::after {
            content: "";
            position: absolute;
            left: 4px;
            top: 0px;
            width: 5px;
            height: 10px;
            border: solid white;
            border-width: 0 2px 2px 0;
            transform: rotate(45deg);
        }
